org.apache.ignite.plugin

## Interface ExtensionRegistry

    public interface ExtensionRegistry

Context that allows to register extensions.

### Method Summary

Methods
`<T extends Extension> void` `registerExtension(Class<T> extensionItf, T extensionImpl)` Registers extension provided by plugin.

### Method Detail

#### registerExtension

    <T extends Extension> void registerExtension(Class<T> extensionItf,
                                               T extensionImpl)

Registers extension provided by plugin.

Type Parameters:
  `T` - Extension type.
Parameters:
  `extensionItf` - Extension interface.
  `extensionImpl` - Extension implementation.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017